BEGIN ~CLAIRIS~

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO 1
  IF ~~ THEN REPLY @2 GOTO 1
END

IF ~~ THEN BEGIN 1
  SAY @3
  IF ~~ THEN REPLY @4 GOTO 2
  IF ~~ THEN REPLY @5 GOTO 4
END

IF ~~ THEN BEGIN 2
  SAY @6
  IF ~~ THEN REPLY @7 GOTO 3
END

IF ~~ THEN BEGIN 3
  SAY @8
  IF ~~ THEN DO ~ClearAllActions()
StartCutSceneMode()
StartCutScene("ClairCut")
~ EXIT
END

IF ~~ THEN BEGIN 4
  SAY @9
  IF ~~ THEN REPLY @10 GOTO 3
END

IF ~~ THEN BEGIN 5
  SAY @11
  IF ~~ THEN DO ~ActionOverride("CLAIRIS",ApplySpell(Myself,VAMPIRE_CHANGE_CLAIRIS_DOOM))
~ EXIT
END

IF ~NumTimesTalkedToGT(0)
~ THEN BEGIN 6
  SAY @0
  IF ~~ THEN EXIT
END
